Bug 1002233 - When agent isn't running storage node reports "There is no load data available for this node. Is the agent running on the null"
When agent isn't running storage node reports "There is no load data availabl...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Database (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity medium
: ER03
: JON 3.2.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 12:57 EDT by Larry O'Leary
Modified: 2014-01-02 15:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:43:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of storage node displaying message with "the null" in it. (38.68 KB, image/png)
2013-08-28 12:57 EDT, Larry O'Leary
no flags Details

  None (edit)
Description Larry O'Leary 2013-08-28 12:57:00 EDT
Created attachment 791466 [details]
Screenshot of storage node displaying message with "the null" in it.

Description of problem:
When reviewing the storage node administration page after install, the storage node detail view shows:

    There is no load data available for this node. Is the agent running on the null 

Version-Release number of selected component (if applicable):
3.2.0.ALPHA_QA.58

How reproducible:
Always

Steps to Reproduce:
1. Install JBoss ON server.
2. Login to JON UI and navigate to the Administration > Topology / Storage Nodes page.
3. Expand the storage node with endpoint address 127.0.0.1.

Actual results:
The message "There is no load data available for this node. Is the agent running on the null" is displayed (see attachment)

Expected results:
I am not sure what this "the null" is supposed to refer to so it is hard to say. But, if this is supposed to be a platform name then perhaps the expected result is IF PLATFORM != NULL "... Is the agent running on the PLATFORM_NAME platform?" ELSE "... Be sure an agent is running on the host this storage node is running on..." or something similar.
Comment 1 Heiko W. Rupp 2013-09-24 15:58:04 EDT
master 2c186bc
Comment 2 Simeon Pinder 2013-10-08 03:42:01 EDT
Moving to ON_QA for testing.

Note You need to log in before you can comment on or make changes to this bug.